Eclipse Platform Release 3.7

## org.eclipse.core.commands.operations
Interface IOperationHistoryListener

    public interface IOperationHistoryListener

This interface is used to listen to notifications from an IOperationHistory. The supplied OperationHistoryEvent describes the particular notification.

Operation history listeners must be prepared to receive notifications from a background thread. Any UI access occurring inside the implementation must be properly synchronized using the techniques specified by the client's widget library.

Since:
  3.1

Method Summary
`void` `historyNotification(OperationHistoryEvent event)` Something of note has happened in the IOperationHistory.

Method Detail

### historyNotification

    void historyNotification(OperationHistoryEvent event)

  Something of note has happened in the IOperationHistory. Listeners should check the supplied event for details.

  Parameters:
    `event` - the OperationHistoryEvent that describes the particular notification.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.